package com.ruoyi.project.training.bccnew.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.training.bccnew.mapper.TTsFlplanTmplMapper;
import com.ruoyi.project.training.bccnew.domain.TTsFlplanTmpl;
import com.ruoyi.project.training.bccnew.service.ITTsFlplanTmplService;

/**
 * 分离培训模版Service业务层处理
 *
 * @author ssy
 * @date 2024-06-13
 */
@Service
public class TTsFlplanTmplServiceImpl implements ITTsFlplanTmplService
{
    @Autowired
    private TTsFlplanTmplMapper tTsFlplanTmplMapper;

    /**
     * 查询分离培训模版
     *
     * @param id 分离培训模版ID
     * @return 分离培训模版
     */
    @Override
    public TTsFlplanTmpl selectTTsFlplanTmplById(Long id)
    {
        return tTsFlplanTmplMapper.selectTTsFlplanTmplById(id);
    }

    /**
     * 查询分离培训模版列表
     *
     * @param tTsFlplanTmpl 分离培训模版
     * @return 分离培训模版
     */
    @Override
    public List<TTsFlplanTmpl> selectTTsFlplanTmplList(TTsFlplanTmpl tTsFlplanTmpl)
    {
        return tTsFlplanTmplMapper.selectTTsFlplanTmplList(tTsFlplanTmpl);
    }

    /**
     * 新增分离培训模版
     *
     * @param tTsFlplanTmpl 分离培训模版
     * @return 结果
     */
    @Override
    public int insertTTsFlplanTmpl(TTsFlplanTmpl tTsFlplanTmpl)
    {
        return tTsFlplanTmplMapper.insertTTsFlplanTmpl(tTsFlplanTmpl);
    }

    /**
     * 修改分离培训模版
     *
     * @param tTsFlplanTmpl 分离培训模版
     * @return 结果
     */
    @Override
    public int updateTTsFlplanTmpl(TTsFlplanTmpl tTsFlplanTmpl)
    {
        return tTsFlplanTmplMapper.updateTTsFlplanTmpl(tTsFlplanTmpl);
    }

    /**
     * 批量删除分离培训模版
     *
     * @param ids 需要删除的分离培训模版ID
     * @return 结果
     */
    @Override
    public int deleteTTsFlplanTmplByIds(Long[] ids)
    {
        return tTsFlplanTmplMapper.deleteTTsFlplanTmplByIds(ids);
    }

    /**
     * 删除分离培训模版信息
     *
     * @param id 分离培训模版ID
     * @return 结果
     */
    @Override
    public int deleteTTsFlplanTmplById(Long id)
    {
        return tTsFlplanTmplMapper.deleteTTsFlplanTmplById(id);
    }
}
